path: /build/build/libtorrent-net-libs-0.13.7.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-libressl -ssl" emerge net-libs/libtorrent -pv -t
  - |
    USE="-libressl -ssl" emerge -j ${JOBS} --nodeps net-libs/libtorrent
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/libtorrent && luet-portage
    --dir /pkgdir/libtorrent net-libs/libtorrent
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:70f8a4345d56117622af10b4ab5295a2588584e3761ae643c1b48b9bbdcec98c
  package:
    id: 0
    name: libtorrent
    version: 0.13.7
    category: net-libs
    useflags:
    - -libressl
    - -ssl
    state: ""
    packagerequires:
    - id: 0
      name: cppunit
      version: '>=0'
      category: dev-util
      useflags: []
      state: ""
      packagerequires: []
      packageconflicts: []
      provides: []
      hidden: false
      annotations: {}
      path: ""
      description: ""
      uri: []
      license: ""
      buildtimestamp: ""
      labels: {}
      treedir: ""
      repository: ""
    packageconflicts: []
    provides: []
    hidden: false
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    path: ""
    description: BitTorrent library written in C++ for *nix
    uri:
    - https://rakshasa.github.io/rtorrent/
    license: GPL-2
    buildtimestamp: 2022-11-06 16:34:51.63374497 +0000 UTC m=+85.221869625
    labels:
      DEPEND: sys-libs/zlib >=dev-libs/libsigc++-2.2.2:2 ssl? ( !libressl? ( dev-libs/openssl:0=
        ) libressl? ( dev-libs/libressl:= ) ) virtual/pkgconfig dev-util/cppunit >=app-portage/elt-patches-20170815
        !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
        ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
      IUSE: debug libressl ssl test
      RDEPEND: sys-libs/zlib >=dev-libs/libsigc++-2.2.2:2 ssl? ( !libressl? ( dev-libs/openssl:0=
        ) libressl? ( dev-libs/libressl:= ) )
      emerge.packages: net-libs/libtorrent
      kit: net-kit
      original.package.name: net-libs/libtorrent
      original.package.slot: "0"
      original.package.version: 0.13.7-r1
    treedir: /build/packages
    repository: ""
  package_dir: /pkgdir/libtorrent
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 87f4ec74e0fa736287eef7a1194ba9d2366c602e01f5f8d276af4d76fcbb4b66
compressiontype: zstd
files:
- usr/include/torrent/bitfield.h
- usr/include/torrent/chunk_manager.h
- usr/include/torrent/common.h
- usr/include/torrent/connection_manager.h
- usr/include/torrent/data/block.h
- usr/include/torrent/data/block_list.h
- usr/include/torrent/data/block_transfer.h
- usr/include/torrent/data/chunk_utils.h
- usr/include/torrent/data/download_data.h
- usr/include/torrent/data/file.h
- usr/include/torrent/data/file_list.h
- usr/include/torrent/data/file_list_iterator.h
- usr/include/torrent/data/file_manager.h
- usr/include/torrent/data/file_utils.h
- usr/include/torrent/data/piece.h
- usr/include/torrent/data/transfer_list.h
- usr/include/torrent/dht_manager.h
- usr/include/torrent/download/choke_group.h
- usr/include/torrent/download/choke_queue.h
- usr/include/torrent/download/download_manager.h
- usr/include/torrent/download/group_entry.h
- usr/include/torrent/download/resource_manager.h
- usr/include/torrent/download.h
- usr/include/torrent/download_info.h
- usr/include/torrent/error.h
- usr/include/torrent/event.h
- usr/include/torrent/exceptions.h
- usr/include/torrent/hash_string.h
- usr/include/torrent/http.h
- usr/include/torrent/net/socket_address_key.h
- usr/include/torrent/object.h
- usr/include/torrent/object_raw_bencode.h
- usr/include/torrent/object_static_map.h
- usr/include/torrent/object_stream.h
- usr/include/torrent/path.h
- usr/include/torrent/peer/choke_status.h
- usr/include/torrent/peer/client_info.h
- usr/include/torrent/peer/client_list.h
- usr/include/torrent/peer/connection_list.h
- usr/include/torrent/peer/peer.h
- usr/include/torrent/peer/peer_info.h
- usr/include/torrent/peer/peer_list.h
- usr/include/torrent/poll.h
- usr/include/torrent/poll_epoll.h
- usr/include/torrent/poll_kqueue.h
- usr/include/torrent/poll_select.h
- usr/include/torrent/rate.h
- usr/include/torrent/throttle.h
- usr/include/torrent/torrent.h
- usr/include/torrent/tracker.h
- usr/include/torrent/tracker_controller.h
- usr/include/torrent/tracker_list.h
- usr/include/torrent/utils/directory_events.h
- usr/include/torrent/utils/extents.h
- usr/include/torrent/utils/log.h
- usr/include/torrent/utils/log_buffer.h
- usr/include/torrent/utils/net.h
- usr/include/torrent/utils/option_strings.h
- usr/include/torrent/utils/ranges.h
- usr/include/torrent/utils/resume.h
- usr/include/torrent/utils/signal_bitfield.h
- usr/include/torrent/utils/thread_base.h
- usr/include/torrent/utils/thread_interrupt.h
- usr/include/torrent/utils/uri_parser.h
- usr/lib64/libtorrent.so
- usr/lib64/libtorrent.so.20
- usr/lib64/libtorrent.so.20.0.0
- usr/lib64/pkgconfig/libtorrent.pc
- usr/share/doc/libtorrent-0.13.7-r1/AUTHORS
- usr/share/doc/libtorrent-0.13.7-r1/NEWS
- usr/share/doc/libtorrent-0.13.7-r1/README.bz2
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/BUILD_TIME
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/CATEGORY
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/CBUILD
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/CFLAGS
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/CHOST
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/CONTENTS
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/COUNTER
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/CXXFLAGS
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/DEFINED_PHASES
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/DEPEND
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/DESCRIPTION
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/EAPI
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/FEATURES
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/HOMEPAGE
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/INHERITED
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/IUSE
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/IUSE_EFFECTIVE
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/KEYWORDS
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/LDFLAGS
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/LICENSE
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/NEEDED
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/PF
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/PROVIDES
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/RDEPEND
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/REQUIRES
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/SIZE
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/SLOT
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/USE
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/environment.bz2
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/libtorrent-0.13.7-r1.ebuild
- var/db/pkg/net-libs/libtorrent-0.13.7-r1/repository
package_cacheimage: ""
runtime:
  id: 0
  name: libtorrent
  version: 0.13.7
  category: net-libs
  useflags:
  - -libressl
  - -ssl
  state: ""
  packagerequires:
  - id: 0
    name: libsigc++
    version: '>=0'
    category: dev-libs-2
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  - id: 0
    name: zlib
    version: '>=0'
    category: sys-libs
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  packageconflicts: []
  provides: []
  hidden: false
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  path: ""
  description: BitTorrent library written in C++ for *nix
  uri:
  - https://rakshasa.github.io/rtorrent/
  license: GPL-2
  buildtimestamp: ""
  labels:
    DEPEND: sys-libs/zlib >=dev-libs/libsigc++-2.2.2:2 ssl? ( !libressl? ( dev-libs/openssl:0=
      ) libressl? ( dev-libs/libressl:= ) ) virtual/pkgconfig dev-util/cppunit >=app-portage/elt-patches-20170815
      !<sys-devel/gettext-0.18.1.1-r3 || ( >=sys-devel/automake-1.16.1:1.16 >=sys-devel/automake-1.15.1:1.15
      ) >=sys-devel/autoconf-2.69 >=sys-devel/libtool-2.4
    IUSE: debug libressl ssl test
    RDEPEND: sys-libs/zlib >=dev-libs/libsigc++-2.2.2:2 ssl? ( !libressl? ( dev-libs/openssl:0=
      ) libressl? ( dev-libs/libressl:= ) )
    emerge.packages: net-libs/libtorrent
    kit: net-kit
    original.package.name: net-libs/libtorrent
    original.package.slot: "0"
    original.package.version: 0.13.7-r1
  treedir: ""
  repository: ""
